Page MenuHomePhabricator

Adding transwiki source, Adding ailias to namespaces and creating "Experiment" and "Lesson" namespaces in Chinese Wikiversity
Closed, ResolvedPublic

Description

See This discussion about namespaces and This discussion about transwiki sources.

Adding these namespaces: Experiment (106), Experiment talk (107), Lesson (108), Lesson talk (109)
Adding some chinese-localized aliases to Namespace 102 to 109.
Adding incubator and enwikipedia as transwiki source.

Since here is some pages have a prefix of "lesson" or "experiment" in namespace 0, so a script should be executed as below.

mwscript namespaceDupes.php zhwikiversity --fix

Event Timeline

Restricted Application added subscribers: Cosine02, Aklapper. · View Herald TranscriptJan 4 2019, 3:45 AM
Wang_Qiliang added a comment.EditedJan 4 2019, 3:52 AM

For namespaces 106 and 108 include research contents, $wgContentNamespaces should be modified at the same time.

Change 482261 had a related patch set uploaded (by Wangql; owner: Wangql):
[operations/mediawiki-config@master] Modifying configuration about Chinese Wikiversity:

https://gerrit.wikimedia.org/r/482261

RazeSoldier updated the task description. (Show Details)Jan 8 2019, 5:23 AM

@RazeSoldier @Framawiki I am just wonder what is going on with the patch, since the result of the code review is -2.

RazeSoldier added a comment.EditedJan 16 2019, 6:53 AM

The code does not meet standard. See my comment in the patch.

@RazeSoldier Thanks and I will check it then.

What's going on here?

RazeSoldier added a comment.EditedFeb 16 2019, 2:08 PM

@Wang_Qiliang The current process is that there are already patch. Next, patch need to be scheduled to https://wikitech.wikimedia.org/wiki/Deployments and need a watcher to assist the deployment. More help see https://wikitech.wikimedia.org/wiki/SWAT_deploys#How_to_submit_a_patch_for_SWAT.

Change 482261 merged by jenkins-bot:
[operations/mediawiki-config@master] Modifying configuration about Chinese Wikiversity

https://gerrit.wikimedia.org/r/482261

Mentioned in SAL (#wikimedia-operations) [2019-02-19T12:19:42Z] <zfilipin@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:482261|Modifying configuration about Chinese Wikiversity (T212919)]] (duration: 00m 48s)

zfilipin@mwmaint1002:~$ mwscript namespaceDupes.php zhwikiversity --fix
id=10775 ns=0 dbk=实验:三氧化硫的制备及性质研究 -> Experiment:三氧化硫的制备及性质研究 (no conflict)
id=9340 ns=0 dbk=实验:二氧化钍的制备及性质探究 -> Experiment:二氧化钍的制备及性质探究 (no conflict)
id=9392 ns=0 dbk=实验:八氧化三铀的制备及性质研究 -> Experiment:八氧化三铀的制备及性质研究 (no conflict)
id=10588 ns=0 dbk=实验:硝酸在无机化学反应中的性质探究 -> Experiment:硝酸在无机化学反应中的性质探究 (no conflict)
id=7825 ns=0 dbk=实验:硫的制备 -> Experiment:硫的制备 (no conflict)
id=7180 ns=0 dbk=实验:硫酸三(乙二胺)合镍(II)的制备及性质研究 -> Experiment:硫酸三(乙二胺)合镍(II)的制备及性质研究 (no conflict)
id=7851 ns=0 dbk=实验:硫酸铜(II)乙二胺配合物的制备及性质研究 -> Experiment:硫酸铜(II)乙二胺配合物的制备及性质研究 (no conflict)
id=8913 ns=0 dbk=实验:铁的燃烧 -> Experiment:铁的燃烧 (no conflict)
id=10802 ns=0 dbk=实验:铁粉和硫粉的分离 -> Experiment:铁粉和硫粉的分离 (no conflict)
id=8971 ns=0 dbk=实验:铝热反应 -> Experiment:铝热反应 (no conflict)
id=8917 ns=0 dbk=实验:铵汞齐的制备及性质研究 -> Experiment:铵汞齐的制备及性质研究 (no conflict)
id=3251 ns=0 dbk=Lesson:中国诗学绪论 -> Lesson:中国诗学绪论 (no conflict)
id=1636 ns=0 dbk=Lesson:滿城盡帶黃金甲 -> Lesson:滿城盡帶黃金甲 (no conflict)
id=798 ns=0 dbk=Lesson:美術史 -> Lesson:美術史 (no conflict)
id=1596 ns=0 dbk=Lesson:臺灣美術史 -> Lesson:臺灣美術史 (no conflict)
id=3279 ns=0 dbk=Lesson:诗词写作教程 -> Lesson:诗词写作教程 (no conflict)
id=1747 ns=0 dbk=Lesson:麻將 -> Lesson:麻將 (no conflict)
id=6137 ns=0 dbk=Lesson:龚自珍 -> Lesson:龚自珍 (no conflict)
18 pages to fix, 18 were resolvable.

pagelinks from=4350 ns=0 dbk=WV:嵌入包含 -> Wikiversity:嵌入包含
pagelinks from=4350 ns=0 dbk=WT:Twinkle -> Wikiversity_talk:Twinkle
pagelinks from=10166 ns=0 dbk=实验:DMF的溶剂性质 -> Experiment:DMF的溶剂性质
pagelinks from=11435 ns=0 dbk=实验:卤素的性质探究 -> Experiment:卤素的性质探究
pagelinks from=10832 ns=0 dbk=实验:氯化氢气体的制备 -> Experiment:氯化氢气体的制备
pagelinks from=10832 ns=0 dbk=实验:氯气的制备 -> Experiment:氯气的制备
pagelinks from=10847 ns=0 dbk=实验:水和金属的反应 -> Experiment:水和金属的反应
pagelinks from=10847 ns=0 dbk=实验:水的物态 -> Experiment:水的物态
pagelinks from=11435 ns=0 dbk=实验:物质的升华 -> Experiment:物质的升华
pagelinks from=10832 ns=0 dbk=实验:盐酸和铜的反应 -> Experiment:盐酸和铜的反应
pagelinks from=10169 ns=0 dbk=实验:硝酸在无机化学反应中的性质探究 -> Experiment:硝酸在无机化学反应中的性质探究
pagelinks from=10169 ns=0 dbk=实验:硝酸铅的制备及性质探究 -> Experiment:硝酸铅的制备及性质探究
pagelinks from=10817 ns=0 dbk=实验:硫酸的制备 -> Experiment:硫酸的制备
pagelinks from=10817 ns=0 dbk=实验:硫酸的性质实验 -> Experiment:硫酸的性质实验
pagelinks from=11431 ns=0 dbk=实验:硫酸钡的转换 -> Experiment:硫酸钡的转换
pagelinks from=10817 ns=0 dbk=实验:磺化反应 -> Experiment:磺化反应
pagelinks from=10166 ns=0 dbk=实验:腈纶的制作 -> Experiment:腈纶的制作
pagelinks from=10169 ns=0 dbk=实验:苯的硝化反应 -> Experiment:苯的硝化反应
pagelinks from=10169 ns=0 dbk=实验:蛋白质的颜色反应 -> Experiment:蛋白质的颜色反应
pagelinks from=11347 ns=0 dbk=实验:金属活泼性研究 -> Experiment:金属活泼性研究
pagelinks from=11347 ns=0 dbk=实验:金属的物理性质及化学性质 -> Experiment:金属的物理性质及化学性质
pagelinks from=11431 ns=0 dbk=实验:钡离子的检验 -> Experiment:钡离子的检验
pagelinks from=8914 ns=0 dbk=实验:铁的燃烧 -> Experiment:铁的燃烧
pagelinks from=8914 ns=0 dbk=实验:铁粉和硫粉的分离 -> Experiment:铁粉和硫粉的分离
pagelinks from=10846 ns=0 dbk=实验:铜和盐酸的反应 -> Experiment:铜和盐酸的反应
pagelinks from=8914 ns=0 dbk=实验:铝热反应 -> Experiment:铝热反应
pagelinks from=11347 ns=0 dbk=实验:铵汞齐的制备及性质研究 -> Experiment:铵汞齐的制备及性质研究
pagelinks from=1653 ns=0 dbk=Lesson:XX課程 -> Lesson:XX課程
pagelinks from=2979 ns=0 dbk=Lesson:中国诗学绪论 -> Lesson:中国诗学绪论
pagelinks from=1507 ns=0 dbk=Lesson:滿城盡帶黃金甲 -> Lesson:滿城盡帶黃金甲
pagelinks from=5620 ns=0 dbk=Lesson:滿城盡帶黃金甲 -> Lesson:滿城盡帶黃金甲
pagelinks from=5729 ns=0 dbk=Lesson:滿城盡帶黃金甲 -> Lesson:滿城盡帶黃金甲
pagelinks from=1507 ns=0 dbk=Lesson:版權研究 -> Lesson:版權研究
pagelinks from=2979 ns=0 dbk=Lesson:诗词写作教程 -> Lesson:诗词写作教程
pagelinks from=2979 ns=0 dbk=Lesson:诗词赏析教程 -> Lesson:诗词赏析教程
pagelinks from=1629 ns=0 dbk=Lesson:音乐的构成 -> Lesson:音乐的构成
pagelinks from=395 ns=0 dbk=Lesson:麻將 -> Lesson:麻將
pagelinks from=933 ns=0 dbk=Lesson:麻將 -> Lesson:麻將
pagelinks from=1507 ns=0 dbk=Lesson:麻將 -> Lesson:麻將
pagelinks from=2991 ns=0 dbk=Lesson:龚自珍 -> Lesson:龚自珍
pagelinks from=5620 ns=0 dbk=Lesson:龚自珍 -> Lesson:龚自珍
41 links to fix, 41 were resolvable.

Looks good!
Wang_Qiliang closed this task as Resolved.Feb 19 2019, 12:21 PM
Wang_Qiliang claimed this task.

Thanks for deployment.